#
# spec file for package python-rpm-macros
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           patterns-rpm-macros
Version:        1.0
Release:        lp150.2.1
Summary:        RPM macros for building of patterns modules
License:        MIT
Group:          Development/Tools/Other
Url:            https://github.com/openSUSE/patterns
Source0:        create_macros
BuildRequires:  perl(URI::Escape)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains SUSE RPM macros to aid creating patterns.
%prep

%build
perl %{S:0} > macros.patterns

%install
mkdir -p %{buildroot}%{_sysconfdir}/rpm
install -m 644 macros.patterns %{buildroot}%{_sysconfdir}/rpm

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.patterns

%changelog
* Fri Apr  6 2018 sflees@suse.de
- Missing public cloud and, adv sys management pattern categories
  bsc#1087871
* Wed Mar 15 2017 sflees@suse.de
- split the rpm macro's out into it's own package as part of the
  pattern split project.
